import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)
export default new Vuex.Store({
  state: {
	tabbarIndex:0,
	tabbarHeight:0,
	isUpdateUserInfo:false,
	appId:'wxc351e5dcc35e5b30',
	version:null,
	service:null,
	latitude:29.57,
	longitude:106.55,
	userInfo:null,
	imageCdn:null,
	videoCdn:null,
	IMloadSig:null,
	IMSDKReady:false,
	chooseCitys:null,
	withdrawUserInfo:{},//新版钱包用户信息
	withdrawInfo:{},//新版钱包用户提现相关信息
	withdrawMyInfo:{},//新版钱包用户提现详情
  },
  mutations: {
	setTabbarIndex(state,preload){
		state.tabbarIndex=preload;
	},
	setTabbarHeight(state,preload){
		state.tabbarHeight=preload;
	},
	setIsUpdateUserInfo(state,preload){
		state.isUpdateUserInfo=preload;
	},
	setVersion(state,preload){
		state.version=preload;
	},
	setService(state,preload){
		state.service=preload;
	},
	setLatitude(state,preload){
		state.latitude=preload;
	},
	setLongitude(state,preload){
		state.longitude=preload;
	},
	setUserInfo(state,preload){
		state.userInfo=preload;
	},
	setImageCdn(state,preload){
		state.imageCdn=preload;
	},
	setVideoCdn(state,preload){
		state.videoCdn=preload;
	},
	setImLoadSig(state,preload){
		state.IMloadSig=preload;
	},
	setChooseCitys(state,preload){
		state.chooseCitys=preload;
	},
	setIMSDKReady(state,preload){
		state.IMSDKReady=preload;
	},
	setWithdrawUserInfo(state,payLoad){
		  state.withdrawUserInfo=payLoad;
	},
	setWithdrawInfo(state,payLoad){
		  state.withdrawInfo=payLoad;
	},
	setWithdrawMyInfo(state,payLoad){
		  state.withdrawMyInfo=payLoad;
	},
  },
  modules: {
  }
})
