/**
 * H5人脸识别
 */
const ACCOUNT_API_KEY = 'eace0e4a05504c36aaa25347fab319fa';
const ACCOUNT_API_SECRET = 'aff4aaec717a472ea07e264d103abb4b';
const baseUrl="https://h5.sugarpark.cn/";
//const baseUrl="http://jliao-h5-web-test.internal.jiebide.xin/";
//const baseUrl="http://192.168.1.139:17031/"
import axios from "axios";
export function getBiztoken(url){
	return new Promise((resolve,reject)=>{
		axios.post(baseUrl+'getSignature',{pathName:url}).then(res=>{
			console.log(res,'then')
			if(res.code===1000){
				resolve(res.liveness_detection_url);
			}
			else{
				reject(res);
			}
		}).catch(err=>{
			console.log(err,'err')
			reject(err);
		})
	})
}
export function getFaceResult(biztoken,result_id){
	return new Promise((resolve,reject)=>{
		axios.post(baseUrl+`getDetectionResult?biztoken=${biztoken}&result_id=${result_id}`).then(res=>{
			switch(String(res.code)){
				case '1000':
					switch(res.liveness_status){
						case 'ok':resolve(res);break;
						case 'hack':resolve('活体检测未通过，原因：假造人脸(比如视频拍摄的是照片)');break;
						case 'motion_failed':resolve('活体检测未通过，原因：动作序列检测未通过(针对交互活体检测)');break;
						case 'short_time':resolve('活体检测未通过，原因：视频中连续有同一完整人脸的时长不足2s');break;
						case 'no_face_detected':resolve('活体检测未通过，原因：视频中未检测到人脸');break;
					}
				break;
				case '1102':resolve('biztoken过期');break;
				case '1105':resolve('非法的result_id');break;
				case '1106':resolve('非法的biztoken');break;
				case '1107':resolve('非法的动作序列');break;
				case '1108':resolve('biztoken人脸识别检测过期');break;
				case '1109':resolve('检测重试超过限制次数');break;
				case '1110':resolve('当次动作序列检测过期');break;
				case '1200':resolve('输入参数无效');break;
				case '2000':resolve('资源未找到');break;
				case '2008':resolve('视频无效');break;
				case '2011':resolve('人脸识别视频少于3s');break;
				case '2012':resolve('人脸识别视频过期');break;
				case '2014':resolve('人脸识别视频超过10s');break;
				case '2015':resolve('人脸识别视频非现场拍摄');break;
				case '2101':resolve('未发现识别结果');break;
				case '4007':resolve('人脸识别失败');break;
				case '4033':resolve('人脸识别视频超过10s');break;
			}
		}).catch(err=>{
			reject(err);
		})
	})
}