import {post} from "./request.js";
import {ajaxPost} from './request.js'
const req = {
    /**
     * 登录
     */
    login: {
        call4VeriCode: (params) => post("/unified/call4VeriCode",'POST',params), // 获取验证码
		login: (params) => post("/unified/login",'POST', params), // 登录
		wxLogin: (params) => post("/unified/login",'POST', params), // 微信手机号登录
		saveSex:(params) => post("/saveData1",'POST', params), // 保存性别
		saveFigure:(params) => post("/saveData2",'POST', params), // 保存社交形象
		saveDatum:(params) => post("/saveData3",'POST', params), // 保存社交资料
		saveCity:(params) => post("/saveData4",'POST', params), // 保存城市
		saveWechat:(params) => post("/saveData5",'POST', params), // 保存微信
		popularCities:(params) => post("/popularCities",'POST', params), // 热门城市
		upload:(params) => post("/faceImage/upload",'POST', params), //图片上传
		randNick:(params) => post("/rdk",'POST', params), //随机昵称
		editPersonal:(params) => post("/editPersonal",'POST', params),//个人资料编辑
		labelsConfig:(params) => post("/txmqgetUserWantedLabels",'POST', params),//个人标签配置
		editHead:(params) => post("/editHeadIcon",'POST', params),//更新头像
    },
	/**
	 * 通用
	 */
	public:{
		aliossToken:(params) => post("/alioss/token",'POST', params), //阿里云直传token获取
		aliossCdn:(params) => post("/cdnConfig",'POST', params), //获取阿里云上传cdn
		videoProcess:(params) => post("/txmqpersonalPageHomeVideoProcessing",'POST', params), //获取阿里云上传cdn
		config:(params) => post("/lcds",'POST', params), //通用字典查询字典-dicts,可用值:Careers,Hobbys,Hopes
		ranking:(params) => post("/txmqhotRanking",'POST', params),//排行榜
		friends:(params) => post("/loadFriendsListByIndex",'POST', params),//排行榜
		mine:(params) => post("/lmtf",'POST', params),//我的-个人资料
		album:(params) => post("/auls",'POST', params),//我的-个人相册
		albumSort:(params) => post("/resetMediaSeqs",'POST', params),//相册排序
		albumDelete:(params) => post("/rmvMedia",'POST', params),//相册删除
		albumAdd:(params) => post("/addMediaBatch",'POST', params),//相册添加
		cover:(params) => post("/tpvp",'POST', params),//我的-个人封面
		mineDetail:(params) => post("/loadUserDetailSelf",'POST', params),//自己用户详情
		userDetail:(params) => post("/loadUserDetailOther",'POST', params),//他人用户详情
		isLike:(params) => post("/juur",'POST', params),//喜欢和拉黑
		userData:(params) => post("/txmqloadUsersByType",'POST', params),//获取用户相关列表数字(个人中心[我喜欢，黑名单，喜欢我，我浏览，访客])(糖果公园专用接口)
		guestor:(params) => post("/loadUsersByType",'POST', params),//异性访客
		priceBySceneConfigs:(params) => post("/loadPriceBySceneConfigs",'POST', params),//糖果、会员套餐基本配置
		vipPromotions:(params) => post("/listPromotionsPay",'POST', params),//vip跑马灯
		heartBeat:(params) => post("/heartbeat",'POST', params),//心跳汇报
		seeMaleDetail:(params) => post("/vfdmo",'POST', params),//女性看男性主页
		seeFamaleDetail:(params) => post("/vmdfo",'POST', params),//男性看女性主页
		notifyActive:(params) => post("/activeNotifyOverview",'POST', params),//互动通知最后一条消息以及总未读数
		loadSystemMsgs:(params) => post("/loadSystemMsgs",'POST', params),//系统消息列表
		search:(params) => post("/loadUsersByIndex",'POST', params),//搜索
		friendsNoAuth:(params) => post("/loadUsersByIndexFirstNoAuth",'POST', params),//无登录体验数据
	},
	pay:{
		creatWxOrder:(params) => ajaxPost("/pay/createWxpayOrder",'POST', params),//创建微信订单
		creatAliOrder:(params) => ajaxPost("/pay/createAlipayOrder",'POST', params),//创建支付宝订单
	},
	IM:{
		loadSig:(params) => post("/loadSig",'POST', params),//创建微信订单
	},
	/**
	 * 提现
	 */
	bag:{
		loadMyWithdrawalInfo: (params) => post("/bag/loadMyWithdrawalInfo",'POST', params), // 提现相关信息
		my: (params) => post("/bag/my",'POST', params), // 我的提现详情
		incomeList: (params) => post("/bag/incomeList", params), // 收益明细
		loadMyWithdrawRecords: (params) => post("/bag/loadMyWithdrawRecords",'POST','POST', params), // 提现记录
		coinList: (params) => post("/bag/coinList",'POST', params), // 颜豆明细
		editAlipay: (params) => post("/bag/editAlipay",'POST', params), // 绑定支付宝账号
		createWithdrawalOrder: (params) => post("/bag/createWithdrawalOrder",'POST', params), // 创建提现订单
		isEffectiveWithdrawalOrder: (params) => post("/bag/isEffectiveWithdrawalOrder",'POST', params), // 检查提现订单是否有效
		submitWithdrawalOrder: (params) => post("/bag/submitWithdrawalOrder",'POST', params), // 提交提现订单
		createIncomeOrder: (params) => post("/bag/createIncomeOrder",'POST', params), //创建收益兑换颜豆订单
		submitIncomeOrder: (params) => post("/bag/submitIncomeOrder",'POST', params), // 提交收益兑换颜豆订单
		editAlipay: (params) => post("/bag/editAlipay",'POST', params), // 绑定支付宝
		loadMyWithdrawDetail: (params) => post("/bag/loadMyWithdrawDetail",'POST', params), // 查询单笔提现订单
	},
	/**
	 * 人脸比对
	 */
	faceAuth:{
		upload:(params) => post('/faceImage/upload',params),//上传图片
		checkRealManFace:(params) => post('/realMan/checkRealManFace',params),//检查是否有效人脸照
		compareFace:(params) => post('/realMan/compareFace',params),//人脸比对
		realManMedia:(params) => post('/realManMediaBatchAsyncNew',params),//真人认证相册
		checkChangeDay:(params) => post('/realMan/checkRealManChange',params),//检测今日是否可更换面容
		realManChange:(params) => post('/realMan/realManChange',params),//更换面容照
		realManFaceState:(params) => post('/realMan/face/state',params),//面容照状态
	}
};

export default req;
